<?xml version="1.0" encoding="UTF-8"?><ejb-jar id="ejb-jar_ID" version="3.0" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/ejb-jar_3_0.xsd">
    <enterprise-beans>
        <message-driven>
            <ejb-name>PurchaseOrderMDB</ejb-name>
            <mapped-name>jms/PurchaseOrderQueue</mapped-name>
            <ejb-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</ejb-class>
            <messaging-type>javax.jms.MessageListener</messaging-type>
            <activation-config>
                <activation-config-property>
                    <activation-config-property-name>destinationType</activation-config-property-name>
                    <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
                </activation-config-property>
            </activation-config>
            <env-entry>
                <env-entry-name>buyer.payloadsize.min</env-entry-name>
                <env-entry-type>java.lang.Integer</env-entry-type>
                <env-entry-value>100</env-entry-value>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</injection-target-class>
                    <injection-target-name>NET_SEGMENT_SIZE_MIN</injection-target-name>
                </injection-target>
            </env-entry>
            <env-entry>
                <env-entry-name>buyer.payloadsize.max</env-entry-name>
                <env-entry-type>java.lang.Integer</env-entry-type>
                <env-entry-value>500</env-entry-value>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</injection-target-class>
                    <injection-target-name>NET_SEGMENT_SIZE_MAX</injection-target-name>
                </injection-target>
            </env-entry>
            <env-entry>
                <env-entry-name>buyer.attachment.percent</env-entry-name>
                <env-entry-type>java.lang.Integer</env-entry-type>
                <env-entry-value>50</env-entry-value>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</injection-target-class>
                    <injection-target-name>INLINE_TIPPING_POINT</injection-target-name>
                </injection-target>
            </env-entry>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB/messageDrivenContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.MessageDrivenContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</injection-target-class>
                    <injection-target-name>messageDrivenContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB/em</persistence-context-ref-name>
                <persistence-unit-name>Supplier</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.PurchaseOrderMDB</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </message-driven>
        <session>
            <ejb-name>ItemBrowserSession</ejb-name>
            <business-local>org.spec.jent.ejb.orders.session.ItemBrowserSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.orders.session.ItemBrowserSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.orders.session.ItemBrowserSession</ejb-class>
            <session-type>Stateful</session-type>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.orders.session.ItemBrowserSession/em</persistence-context-ref-name>
                <persistence-unit-name>Order</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.ItemBrowserSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>LargeOrderSenderSession</ejb-name>
            <business-local>org.spec.jent.ejb.orders.session.LargeOrderSenderSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.orders.session.LargeOrderSenderSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.orders.session.LargeOrderSenderSession</ejb-class>
            <session-type>Stateless</session-type>
            <resource-ref>
                <res-ref-name>org.spec.jent.ejb.orders.session.LargeOrderSenderSession/queueConnFactory</res-ref-name>
                <res-type>javax.jms.QueueConnectionFactory</res-type>
                <res-auth>Container</res-auth>
                <res-sharing-scope>Unshareable</res-sharing-scope>
                <mapped-name>jms/LargeOrderQueueConnectionFactory</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.LargeOrderSenderSession</injection-target-class>
                    <injection-target-name>queueConnFactory</injection-target-name>
                </injection-target>
            </resource-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.orders.session.LargeOrderSenderSession/queue</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
                <mapped-name>jms/LargeOrderQueue</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.LargeOrderSenderSession</injection-target-class>
                    <injection-target-name>queue</injection-target-name>
                </injection-target>
            </resource-env-ref>
        </session>
        <session>
            <ejb-name>LoaderSession</ejb-name>
            <business-local>org.spec.jent.loader.session.LoaderSessionLocal</business-local>
            <ejb-class>org.spec.jent.loader.session.LoaderSession</ejb-class>
            <session-type>Stateless</session-type>
            <resource-ref>
                <res-ref-name>org.spec.jent.loader.session.LoaderSession/queueConnFactory</res-ref-name>
                <res-type>javax.jms.QueueConnectionFactory</res-type>
                <res-auth>Container</res-auth>
                <res-sharing-scope>Unshareable</res-sharing-scope>
                <mapped-name>jms/LoaderQueueConnectionFactory</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.loader.session.LoaderSession</injection-target-class>
                    <injection-target-name>queueConnFactory</injection-target-name>
                </injection-target>
            </resource-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.loader.session.LoaderSession/loadQueue</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
                <mapped-name>jms/LoaderQueue</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.loader.session.LoaderSession</injection-target-class>
                    <injection-target-name>loadQueue</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.loader.session.LoaderSession/sessionContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.SessionContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.loader.session.LoaderSession</injection-target-class>
                    <injection-target-name>sessionContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.loader.session.LoaderSession/em</persistence-context-ref-name>
                <persistence-unit-name>Loader</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.loader.session.LoaderSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>OrderSession</ejb-name>
            <business-local>org.spec.jent.ejb.orders.session.OrderSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.orders.session.OrderSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.orders.session.OrderSession</ejb-class>
            <session-type>Stateless</session-type>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.orders.session.OrderSession/largeOrderSender</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.orders.session.LargeOrderSenderSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderSession</injection-target-class>
                    <injection-target-name>largeOrderSender</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.orders.session.OrderSession/customerService</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.orders.session.CustomerSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderSession</injection-target-class>
                    <injection-target-name>customerService</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.orders.session.OrderSession/sessionContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.SessionContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderSession</injection-target-class>
                    <injection-target-name>sessionContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.orders.session.OrderSession/em</persistence-context-ref-name>
                <persistence-unit-name>Order</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>SupplierSession</ejb-name>
            <business-local>org.spec.jent.ejb.supplier.session.SupplierSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.supplier.session.SupplierSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.supplier.session.SupplierSession</ejb-class>
            <session-type>Stateless</session-type>
            <resource-ref>
                <res-ref-name>org.spec.jent.ejb.supplier.session.SupplierSession/queueConnFactory</res-ref-name>
                <res-type>javax.jms.QueueConnectionFactory</res-type>
                <res-auth>Container</res-auth>
                <res-sharing-scope>Unshareable</res-sharing-scope>
                <mapped-name>jms/ReceiveQueueConnectionFactory</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.session.SupplierSession</injection-target-class>
                    <injection-target-name>queueConnFactory</injection-target-name>
                </injection-target>
            </resource-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.supplier.session.SupplierSession/queue</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
                <mapped-name>jms/ReceiveQueue</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.session.SupplierSession</injection-target-class>
                    <injection-target-name>queue</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.supplier.session.SupplierSession/em</persistence-context-ref-name>
                <persistence-unit-name>Supplier</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.session.SupplierSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>MfgSession</ejb-name>
            <business-local>org.spec.jent.ejb.mfg.session.MfgSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.mfg.session.MfgSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.mfg.session.MfgSession</ejb-class>
            <session-type>Stateless</session-type>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.mfg.session.MfgSession/em</persistence-context-ref-name>
                <persistence-unit-name>Mfg</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.MfgSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>WorkOrderSession</ejb-name>
            <business-local>org.spec.jent.ejb.mfg.session.WorkOrderWebService</business-local>
            <business-local>org.spec.jent.ejb.mfg.session.WorkOrderSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.mfg.session.WorkOrderSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.mfg.session.WorkOrderSession</ejb-class>
            <session-type>Stateless</session-type>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.mfg.session.WorkOrderSession/mfgSession</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.mfg.session.MfgSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.WorkOrderSession</injection-target-class>
                    <injection-target-name>mfgSession</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.mfg.session.WorkOrderSession/jmsSender</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.mfg.session.MessageSenderSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.WorkOrderSession</injection-target-class>
                    <injection-target-name>jmsSender</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.mfg.session.WorkOrderSession/em</persistence-context-ref-name>
                <persistence-unit-name>Mfg</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.WorkOrderSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>MessageSenderSession</ejb-name>
            <business-local>org.spec.jent.ejb.mfg.session.MessageSenderSessionLocal</business-local>
            <ejb-class>org.spec.jent.ejb.mfg.session.MessageSenderSession</ejb-class>
            <session-type>Stateless</session-type>
            <resource-ref>
                <res-ref-name>org.spec.jent.ejb.mfg.session.MessageSenderSession/fulfillOrderQueueConnFactory</res-ref-name>
                <res-type>javax.jms.QueueConnectionFactory</res-type>
                <res-auth>Container</res-auth>
                <res-sharing-scope>Unshareable</res-sharing-scope>
                <mapped-name>jms/FulfillOrderQueueConnectionFactory</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.MessageSenderSession</injection-target-class>
                    <injection-target-name>fulfillOrderQueueConnFactory</injection-target-name>
                </injection-target>
            </resource-ref>
            <resource-ref>
                <res-ref-name>org.spec.jent.ejb.mfg.session.MessageSenderSession/buyerQueueConnFactory</res-ref-name>
                <res-type>javax.jms.QueueConnectionFactory</res-type>
                <res-auth>Container</res-auth>
                <res-sharing-scope>Unshareable</res-sharing-scope>
                <mapped-name>jms/BuyerQueueConnectionFactory</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.MessageSenderSession</injection-target-class>
                    <injection-target-name>buyerQueueConnFactory</injection-target-name>
                </injection-target>
            </resource-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.mfg.session.MessageSenderSession/buyerQueue</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
                <mapped-name>jms/BuyerQueue</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.MessageSenderSession</injection-target-class>
                    <injection-target-name>buyerQueue</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.mfg.session.MessageSenderSession/fulfillQueue</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
                <mapped-name>jms/FulfillOrderQueue</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.MessageSenderSession</injection-target-class>
                    <injection-target-name>fulfillQueue</injection-target-name>
                </injection-target>
            </resource-env-ref>
        </session>
        <session>
            <ejb-name>SupplierAuditSession</ejb-name>
            <business-local>org.spec.jent.ejb.supplier.session.SupplierAuditSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.supplier.session.SupplierAuditSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.supplier.session.SupplierAuditSession</ejb-class>
            <session-type>Stateless</session-type>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.supplier.session.SupplierAuditSession/em</persistence-context-ref-name>
                <persistence-unit-name>Supplier</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.session.SupplierAuditSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>CustomerSession</ejb-name>
            <business-local>org.spec.jent.ejb.orders.session.CustomerSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.orders.session.CustomerSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.orders.session.CustomerSession</ejb-class>
            <session-type>Stateless</session-type>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.orders.session.CustomerSession/mySessionCtx</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.SessionContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.CustomerSession</injection-target-class>
                    <injection-target-name>mySessionCtx</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.orders.session.CustomerSession/em</persistence-context-ref-name>
                <persistence-unit-name>Order</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.CustomerSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>MfgAuditSession</ejb-name>
            <business-local>org.spec.jent.ejb.mfg.session.MfgAuditSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.mfg.session.MfgAuditSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.mfg.session.MfgAuditSession</ejb-class>
            <session-type>Stateless</session-type>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.mfg.session.MfgAuditSession/emManufacturing</persistence-context-ref-name>
                <persistence-unit-name>Mfg</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.session.MfgAuditSession</injection-target-class>
                    <injection-target-name>emManufacturing</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>OrderAuditSession</ejb-name>
            <business-local>org.spec.jent.ejb.orders.session.OrderAuditSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.orders.session.OrderAuditSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.orders.session.OrderAuditSession</ejb-class>
            <session-type>Stateless</session-type>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.orders.session.OrderAuditSession/customerService</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.orders.session.CustomerSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderAuditSession</injection-target-class>
                    <injection-target-name>customerService</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.orders.session.OrderAuditSession/orderService</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.orders.session.OrderSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderAuditSession</injection-target-class>
                    <injection-target-name>orderService</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.orders.session.OrderAuditSession/sessionContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.SessionContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderAuditSession</injection-target-class>
                    <injection-target-name>sessionContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.orders.session.OrderAuditSession/em</persistence-context-ref-name>
                <persistence-unit-name>Order</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.session.OrderAuditSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <session>
            <ejb-name>RunConfigSession</ejb-name>
            <business-local>org.spec.jent.ejb.supplier.session.RunConfigSessionLocal</business-local>
            <business-remote>org.spec.jent.ejb.supplier.session.RunConfigSessionRemote</business-remote>
            <ejb-class>org.spec.jent.ejb.supplier.session.RunConfigSession</ejb-class>
            <session-type>Stateless</session-type>
            <persistence-context-ref>
                <persistence-context-ref-name>org.spec.jent.ejb.supplier.session.RunConfigSession/em</persistence-context-ref-name>
                <persistence-unit-name>Supplier</persistence-unit-name>
                <persistence-context-type>Transaction</persistence-context-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.session.RunConfigSession</injection-target-class>
                    <injection-target-name>em</injection-target-name>
                </injection-target>
            </persistence-context-ref>
        </session>
        <message-driven>
            <ejb-name>ReceiveMDB</ejb-name>
            <mapped-name>jms/ReceiveQueue</mapped-name>
            <ejb-class>org.spec.jent.ejb.mfg.mdb.ReceiveMDB</ejb-class>
            <messaging-type>javax.jms.MessageListener</messaging-type>
            <activation-config>
                <activation-config-property>
                    <activation-config-property-name>destinationType</activation-config-property-name>
                    <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
                </activation-config-property>
            </activation-config>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.mfg.mdb.ReceiveMDB/mfgSession</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.mfg.session.MfgSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.mdb.ReceiveMDB</injection-target-class>
                    <injection-target-name>mfgSession</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.mfg.mdb.ReceiveMDB/messageDrivenContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.MessageDrivenContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.mdb.ReceiveMDB</injection-target-class>
                    <injection-target-name>messageDrivenContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
        </message-driven>
        <message-driven>
            <ejb-name>FulfillOrderMDB</ejb-name>
            <mapped-name>jms/FulfillOrderQueue</mapped-name>
            <ejb-class>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB</ejb-class>
            <messaging-type>javax.jms.MessageListener</messaging-type>
            <activation-config>
                <activation-config-property>
                    <activation-config-property-name>destinationType</activation-config-property-name>
                    <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
                </activation-config-property>
            </activation-config>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB/orderSession</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.orders.session.OrderSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB</injection-target-class>
                    <injection-target-name>orderSession</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB/customerSession</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.orders.session.CustomerSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB</injection-target-class>
                    <injection-target-name>customerSession</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB/messageDrivenContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.MessageDrivenContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.orders.mdb.FulfillOrderMDB</injection-target-class>
                    <injection-target-name>messageDrivenContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
        </message-driven>
        <message-driven>
            <ejb-name>BuyerMDB</ejb-name>
            <mapped-name>jms/BuyerQueue</mapped-name>
            <ejb-class>org.spec.jent.ejb.supplier.mdb.BuyerMDB</ejb-class>
            <messaging-type>javax.jms.MessageListener</messaging-type>
            <activation-config>
                <activation-config-property>
                    <activation-config-property-name>destinationType</activation-config-property-name>
                    <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
                </activation-config-property>
            </activation-config>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.supplier.mdb.BuyerMDB/supplierSession</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.supplier.session.SupplierSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.BuyerMDB</injection-target-class>
                    <injection-target-name>supplierSession</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <resource-ref>
                <res-ref-name>org.spec.jent.ejb.supplier.mdb.BuyerMDB/queueConnFactory</res-ref-name>
                <res-type>javax.jms.QueueConnectionFactory</res-type>
                <res-auth>Container</res-auth>
                <res-sharing-scope>Unshareable</res-sharing-scope>
                <mapped-name>jms/PurchaseQueueConnectionFactory</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.BuyerMDB</injection-target-class>
                    <injection-target-name>queueConnFactory</injection-target-name>
                </injection-target>
            </resource-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.supplier.mdb.BuyerMDB/purchaseOrderQueue</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
                <mapped-name>jms/PurchaseOrderQueue</mapped-name>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.BuyerMDB</injection-target-class>
                    <injection-target-name>purchaseOrderQueue</injection-target-name>
                </injection-target>
            </resource-env-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.supplier.mdb.BuyerMDB/messageDrivenContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.MessageDrivenContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.supplier.mdb.BuyerMDB</injection-target-class>
                    <injection-target-name>messageDrivenContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
        </message-driven>
        <message-driven>
            <ejb-name>LargerOrderMDB</ejb-name>
            <mapped-name>jms/LargeOrderQueue</mapped-name>
            <ejb-class>org.spec.jent.ejb.mfg.mdb.LargerOrderMDB</ejb-class>
            <messaging-type>javax.jms.MessageListener</messaging-type>
            <activation-config>
                <activation-config-property>
                    <activation-config-property-name>destinationType</activation-config-property-name>
                    <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
                </activation-config-property>
            </activation-config>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.ejb.mfg.mdb.LargerOrderMDB/workOrderService</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.ejb.mfg.session.WorkOrderSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.mdb.LargerOrderMDB</injection-target-class>
                    <injection-target-name>workOrderService</injection-target-name>
                </injection-target>
            </ejb-local-ref>
            <resource-env-ref>
                <resource-env-ref-name>org.spec.jent.ejb.mfg.mdb.LargerOrderMDB/messageDrivenContext</resource-env-ref-name>
                <resource-env-ref-type>javax.ejb.MessageDrivenContext</resource-env-ref-type>
                <injection-target>
                    <injection-target-class>org.spec.jent.ejb.mfg.mdb.LargerOrderMDB</injection-target-class>
                    <injection-target-name>messageDrivenContext</injection-target-name>
                </injection-target>
            </resource-env-ref>
        </message-driven>
        <message-driven>
            <ejb-name>LoaderMDB</ejb-name>
            <mapped-name>jms/LoaderQueue</mapped-name>
            <ejb-class>org.spec.jent.loader.mdb.LoaderMDB</ejb-class>
            <messaging-type>javax.jms.MessageListener</messaging-type>
            <activation-config>
                <activation-config-property>
                    <activation-config-property-name>destinationType</activation-config-property-name>
                    <activation-config-property-value>javax.jms.Queue</activation-config-property-value>
                </activation-config-property>
            </activation-config>
            <ejb-local-ref>
                <ejb-ref-name>org.spec.jent.loader.mdb.LoaderMDB/loader</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <local>org.spec.jent.loader.session.LoaderSessionLocal</local>
                <injection-target>
                    <injection-target-class>org.spec.jent.loader.mdb.LoaderMDB</injection-target-class>
                    <injection-target-name>loader</injection-target-name>
                </injection-target>
            </ejb-local-ref>
        </message-driven>
    </enterprise-beans>
    <assembly-descriptor/>
</ejb-jar>